GBNLPOLYIT(1)

NAME
gbnlpolyit - Non linear polyit regression

SYNOPSIS
gbnlpolyit [options] <function definition>

DESCRIPTION
Non linear polyit estimation. Minimize the negative log-likelihood

    sum_{h=0}^{L-1} log(A+h) - sum_{l=1}^L sum_{h=0}^{n_l-1} log(a_l+h)

for the Polya specification or

    L log(A) - sum_{l=1}^L n_l log(a_l)

for the multinomial specification, where A = sum_{l=1}^L a_l and L is the number of alternatives. The input data file should contain L rows, one for each alternative, of the type n x1 ... XN. The first column contains the dependent variable (# of observations) and the other columns the independent variables. The model is specified by a function a_l=g(x1,x2...) where x1,.. XN stands for the first, second .. N-th column of independent variables.

OPTIONS

-O  type of output (default 0)

0   parameters and log-like (ll)

1   marginal effects

2   marginal elasticities

3   n_l n*_l a*_l *=estimated

4   occupancies classes

-F  input fields separators (default " \t")

-V  standard errors and p-scores of diff. from zero using bootstrap

-r  number of replicas (default 20)

-v  verbosity level (default 0)

0   just results

1   comment headers

2   summary statistics

3   covariance matrix

4   minimization steps

5   model definition

-R  set the rng seed (default 0)

-M  set the model to use (default 0) |

0   Polya

1   multinomial

-A  MLL optimization options (default 0.01,0.1,100,1e-6,1e-6,5) fields are step,tol,iter,eps,msize,algo. Empty fields for default

step
    initial step size of the searching algorithm

tol line search tolerance iter: maximum number of iterations

eps gradient tolerance : stopping criteria ||gradient||<eps

algo
    optimization methods: 0 Fletcher-Reeves, 1 Polak-Ribiere, 2 Broyden-Fletcher-Goldfarb-Shanno, 3 Steepest descent, 4 simplex, 5 Broyden-Fletcher-Goldfarb-Shanno-2

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.